> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Subscription Tiers (/api-reference/fansly/subscribers/list-subscription-tiers)

Get all subscription tiers configured on the Fansly Account, including pricing plans and benefits. Tier IDs from this endpoint can be used as the `subscription_tier_id` filter on the **List Subscribers** endpoint.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-fansly-docs/openapi.yaml get /api/fansly/{fanslyAccount}/subscription-tiers
openapi: 3.0.3
info:
  title: Fansly API Documentation
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: Account
    description: Endpoints for your linked Fansly accounts
  - name: Chats
    description: Endpoints for Fansly chats (messaging groups)
  - name: Earnings
    description: Endpoints for Fansly Earnings — wallets, balances, transactions,
      payouts, and statements.
  - name: Followers
    description: Endpoints for Fansly followers.
  - name: Lists
    description: Endpoints for Fansly subscriber/fan lists (e.g. "VIP", "Spenders").
  - name: Profile Statistics
    description: Endpoints for Fansly Profile Statistics (viewer engagement insights).
  - name: Subscribers
    description: Endpoints for Fansly subscribers and subscription tiers.
  - name: Top Supporters
    description: Endpoints for the Fansly "Top Supporters" view — see who spends the
      most and what they spend on.
  - name: Tracking Links
    description: Endpoints for Fansly tracking links — per-source attribution links
      (e.g. "Twitter bio", "FYP", "Search").
  - name: Users
    description: APIs for fetching Fansly users
paths:
  /api/fansly/{fanslyAccount}/subscription-tiers:
    parameters:
      - in: path
        name: fanslyAccount
        description: The Fansly Account ID
        example: fansly_acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    get:
      summary: List Subscription Tiers
      operationId: listSubscriptionTiers
      description: Get all subscription tiers configured on the Fansly Account,
        including pricing plans and benefits. Tier IDs from this endpoint can be
        used as the `subscription_tier_id` filter on the **List Subscribers**
        endpoint.
      parameters: []
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - id: "700000000000000001"
                      accountId: "800000000000000001"
                      name: Starter Tier
                      color: "#FF6F61"
                      pos: 0
                      price: 5000
                      maxSubscribers: 0
                      subscriptionBenefits:
                        - Access to all photos and videos on the wall
                        - Chat access
                      includedTierIds: []
                      plans:
                        - id: "700000000000000010"
                          status: 1
                          billingCycle: 30
                          price: 5000
                          useAmounts: 0
                          promos: []
                        - id: "700000000000000011"
                          status: 1
                          billingCycle: 90
                          price: 13500
                          useAmounts: 0
                          promos: []
                    - id: "700000000000000002"
                      accountId: "800000000000000001"
                      name: Premium Tier
                      color: "#FF69B4"
                      pos: 1
                      price: 99000
                      maxSubscribers: 0
                      subscriptionBenefits:
                        - All Starter benefits
                        - Bonus content drops
                      includedTierIds:
                        - "700000000000000001"
                      plans:
                        - id: "700000000000000020"
                          status: 1
                          billingCycle: 30
                          price: 99000
                          useAmounts: 0
                          promos: []
                  _meta:
                    _credits:
                      used: 1
                      balance: 10055810
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 5000
                      limit_day: null
                      remaining_minute: 4999
                      remaining_day: null
                      notice: We have decided to remove our daily rate limits. Please remove any
                        references to these in your integrations.
                properties:
                  data:
                    type: array
                    example:
                      - id: "700000000000000001"
                        accountId: "800000000000000001"
                        name: Starter Tier
                        color: "#FF6F61"
                        pos: 0
                        price: 5000
                        maxSubscribers: 0
                        subscriptionBenefits:
                          - Access to all photos and videos on the wall
                          - Chat access
                        includedTierIds: []
                        plans:
                          - id: "700000000000000010"
                            status: 1
                            billingCycle: 30
                            price: 5000
                            useAmounts: 0
                            promos: []
                          - id: "700000000000000011"
                            status: 1
                            billingCycle: 90
                            price: 13500
                            useAmounts: 0
                            promos: []
                      - id: "700000000000000002"
                        accountId: "800000000000000001"
                        name: Premium Tier
                        color: "#FF69B4"
                        pos: 1
                        price: 99000
                        maxSubscribers: 0
                        subscriptionBenefits:
                          - All Starter benefits
                          - Bonus content drops
                        includedTierIds:
                          - "700000000000000001"
                        plans:
                          - id: "700000000000000020"
                            status: 1
                            billingCycle: 30
                            price: 99000
                            useAmounts: 0
                            promos: []
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: "700000000000000001"
                        accountId:
                          type: string
                          example: "800000000000000001"
                        name:
                          type: string
                          example: Starter Tier
                        color:
                          type: string
                          example: "#FF6F61"
                        pos:
                          type: integer
                          example: 0
                        price:
                          type: integer
                          example: 5000
                        maxSubscribers:
                          type: integer
                          example: 0
                        subscriptionBenefits:
                          type: array
                          example:
                            - Access to all photos and videos on the wall
                            - Chat access
                          items:
                            type: string
                        includedTierIds:
                          type: array
                          example: []
                        plans:
                          type: array
                          example:
                            - id: "700000000000000010"
                              status: 1
                              billingCycle: 30
                              price: 5000
                              useAmounts: 0
                              promos: []
                            - id: "700000000000000011"
                              status: 1
                              billingCycle: 90
                              price: 13500
                              useAmounts: 0
                              promos: []
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                example: "700000000000000010"
                              status:
                                type: integer
                                example: 1
                              billingCycle:
                                type: integer
                                example: 30
                              price:
                                type: integer
                                example: 5000
                              useAmounts:
                                type: integer
                                example: 0
                              promos:
                                type: array
                                example: []
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 10055810
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 5000
                          limit_day:
                            type: string
                            example: null
                            nullable: true
                          remaining_minute:
                            type: integer
                            example: 4999
                          remaining_day:
                            type: string
                            example: null
                            nullable: true
                          notice:
                            type: string
                            example: We have decided to remove our daily rate limits. Please remove any
                              references to these in your integrations.
      tags:
        - Subscribers
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````